Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84869 - Can't select kanji on kate in japanese kanji mode
Summary: Can't select kanji on kate in japanese kanji mode
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-22 14:42 UTC by Need Real Name
Modified: 2008-01-17 17:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 18:31:09 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-22 14:42:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.2.1) Gecko/20030206

Description of problem:
I can't select kanji on kate in japanese kanji mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
(I tested on phoebe3)

1. press shift+space       [Now we are in kinput2 mode]
2. type words in hiragana  [type "aiueo" etc.]
3. press space             ["aiueo" changes to kanji]
4. select a part of kanji  [press shift+right or left] 

Actual Results:  I can't select kanji.

Expected Results:  I can select kanji.

Additional info:

Please compare to kedit.
I can select kanji on kedit, but I can't do it on kate or kwrite.
Japanese KDE Users' Group put their patch for Qt-3.1.1.
They say "The patch solves a problem that kde applications mistake for
XIM events".
The patch is here:
http://www.kde.gr.jp/patch/
or get it:
http://www.kde.gr.jp/patch/qt-x11-free-3.1.1-fix-callPosition-XFilterEvent-20021223.diff

Comment 1 Ngo Than 2003-02-22 22:30:31 UTC
Leon, it would be nice if you could take a look here please? Thanks

Comment 2 Petr Rockai 2006-07-17 18:37:44 UTC
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.

Comment 3 Bill Nottingham 2006-10-18 18:31:09 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.